Loading...
Searching...
No Matches
BALL::VIEW::MoveMode Class Reference

`#include <BALL/VIEW/KERNEL/MODES/moveMode.h>`

Inheritance diagram for BALL::VIEW::MoveMode:

## Public Member Functions

| MoveMode (Scene *scene)
virtual Qt::Key | getKey () const
virtual QString | getName () const
virtual void | activate ()
virtual void | populateContextMenu (QMenu *menu)
Public Member Functions inherited from BALL::VIEW::InteractionMode
| InteractionMode (Scene *scene)
virtual | ~InteractionMode ()
virtual void | keyPressEvent (QKeyEvent *evt)
virtual void | keyReleaseEvent (QKeyEvent *evt)
virtual void | mouseDoubleClickEvent (QMouseEvent *evt)
void | mouseMoveEvent (QMouseEvent *evt)
void | mousePressEvent (QMouseEvent *evt)
void | mouseReleaseEvent (QMouseEvent *evt)
virtual void | wheelEvent (QWheelEvent *evt)
virtual void | addToolBarEntries (QToolBar *tb)
virtual void | deactivate ()
void | setMouseSensitivity (float sens)
void | setMouseWheelSensitivity (float sens)
QAction * | getMainAction ()
bool | isCurrent () const
void | setCurrent (bool current)

## Protected Slots

void | moveAtomTriggered_ ()
Protected Slots inherited from BALL::VIEW::InteractionMode
void | modeChangeSlot_ ()

## Protected Member Functions

Index | getMoveModeAction_ (QMouseEvent *e)
void | processMoveModeMouseEvents_ (QMouseEvent *e)
virtual void | mouseMoveEventImpl_ (QMouseEvent *evt)
virtual void | mouseReleaseEventImpl_ (QMouseEvent *evt)
Protected Member Functions inherited from BALL::VIEW::InteractionMode
virtual void | mousePressEventImpl_ (QMouseEvent *evt)
float | getXDiff_ () const
float | getYDiff_ () const
void | zoomSystem_ ()

## Protected Attributes

QAction * | move_atom_
Protected Attributes inherited from BALL::VIEW::InteractionMode
Scene * | scene_
QPoint | mouse_pos_old_
QPoint | mouse_pos_new_
QSize | desktop_size_
float | mouse_sensitivity_
float | mouse_wheel_sensitivity_
QAction * | main_action_
bool | is_current_

## Additional Inherited Members

Signals inherited from BALL::VIEW::InteractionMode
void | requestModeChange (InteractionMode *mode)

## Detailed Description

Definition at line 11 of file moveMode.h.

## Constructor & Destructor Documentation

## MoveMode()

BALL::VIEW::MoveMode::MoveMode | ( | Scene * | scene | ) |

## Member Function Documentation

## activate()

virtual void BALL::VIEW::MoveMode::activate | ( |  | ) |

virtual

Reimplemented from BALL::VIEW::InteractionMode.

## getKey()

virtual Qt::Key BALL::VIEW::MoveMode::getKey | ( |  | ) | const

virtual

Implements BALL::VIEW::InteractionMode.

## getMoveModeAction_()

Index BALL::VIEW::MoveMode::getMoveModeAction_ | ( | QMouseEvent * | e | ) |

protected

## getName()

virtual QString BALL::VIEW::MoveMode::getName | ( |  | ) | const

inline virtual

Implements BALL::VIEW::InteractionMode.

Definition at line 19 of file moveMode.h.

## mouseMoveEventImpl_()

virtual void BALL::VIEW::MoveMode::mouseMoveEventImpl_ | ( | QMouseEvent * | evt | ) |

protected virtual

Reimplemented from BALL::VIEW::InteractionMode.

## mouseReleaseEventImpl_()

virtual void BALL::VIEW::MoveMode::mouseReleaseEventImpl_ | ( | QMouseEvent * | evt | ) |

protected virtual

Reimplemented from BALL::VIEW::InteractionMode.

## moveAtomTriggered_

void BALL::VIEW::MoveMode::moveAtomTriggered_ | ( |  | ) |

protected slot

## populateContextMenu()

virtual void BALL::VIEW::MoveMode::populateContextMenu | ( | QMenu * | menu | ) |

virtual

Reimplemented from BALL::VIEW::InteractionMode.

## processMoveModeMouseEvents_()

void BALL::VIEW::MoveMode::processMoveModeMouseEvents_ | ( | QMouseEvent * | e | ) |

protected

## Member Data Documentation

## move_atom_

QAction* BALL::VIEW::MoveMode::move_atom_

protected

Definition at line 28 of file moveMode.h.